be.ehealth.businessconnector.consultrnv2.service.impl

## Class ConsultrnCBSSPersonServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.consultrnv2.service.impl.ConsultrnCBSSPersonServiceImpl

- All Implemented Interfaces:
    ConsultrnCBSSPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class ConsultrnCBSSPersonServiceImpl
      extends Object
      implements ConsultrnCBSSPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `RegisterPersonResponse` | `registerPerson(SAMLToken token, RegisterPersonRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultrnCBSSPersonServiceImpl

          public ConsultrnCBSSPersonServiceImpl(SessionValidator sessionValidator,
                                                EhealthReplyValidator replyValidator)

  - ### Method Detail

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

    - #### registerPerson

          public RegisterPersonResponse registerPerson(SAMLToken token,
                                                       RegisterPersonRequest request)
                                                throws TechnicalConnectorException

      Specified by:
        `registerPerson` in interface `ConsultrnCBSSPersonService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.